# CPU Cluster Barnard

## Overview

In 2023, Taurus was replaced by the cluster Barnard. Barnard is a general purpose Bull cluster
 and is based on Intel Sapphire Rapids CPUs.
The cluster consists of 630 nodes with particular [hardware specifications](hardware_overview#barnard).

## Details

- 630 nodes, each with
    - 2 x Intel Xeon Platinum 8470 (52 cores) @ 2.00 GHz, Multithreading enabled
    - 512 GB RAM (8 x 32 GB DDR5-4800 MT/s per socket)
    - 12 nodes provide 1.8 TB local storage on NVMe device at `/tmp`
    - All other nodes are diskless and have no or very limited local storage (i.e. `/tmp`)
- Login nodes: `login[1-4].barnard.hpc.tu-dresden.de`
- Hostnames: `n[1001-1630].barnard.hpc.tu-dresden.de`
- Operating system: Red Hat Enterpise Linux 8.9

The [filesystems](../data_lifecycle/file_systems.md) are available on `barnard`
(`/home`, `/software`, `/data/horse`, `/data/walrus`, etc.).

```console
marie@login.barnard$ module spider <module_name>
```

[JupyterHub](../access/jupyterhub.md) can be used to run Jupyter notebooks on Barnard 
cluster.